org.jasypt.spring.security3

## Class TokenBasedRememberMeServices

- Object
- - org.springframework.security.web.authentication.rememberme.AbstractRememberMeServices
  - - org.jasypt.spring.security3.TokenBasedRememberMeServices

- All Implemented Interfaces:
    org.springframework.beans.factory.InitializingBean, org.springframework.security.web.authentication.logout.LogoutHandler, org.springframework.security.web.authentication.RememberMeServices

  Deprecated.
  Renamed as org.jasypt.springsecurity3.authentication.rememberme.TokenBasedRememberMeServices. Class will be removed from this package in 1.11.

      public final class TokenBasedRememberMeServices
      extends org.springframework.security.web.authentication.rememberme.AbstractRememberMeServices

  Implementation of `org.springframework.security.web.authentication.rememberme.AbstractRememberMeServices` which provides a "remember-me" cookie arranged in the same way as `org.springframework.security.web.authentication.rememberme.TokenBasedRememberMeServices`, but using a Jasypt `StringDigester` passed as a parameter for performing the digest of the signature in the cookie (username + ":" + expiry time + ":" + password + ":" + key).

  This class is thread-safe

  Since:
    1.7
  Author:
    Daniel Fernández

- - ### Field Summary

    - ### Fields inherited from class org.springframework.security.web.authentication.rememberme.AbstractRememberMeServices

      `DEFAULT_PARAMETER, logger, messages, SPRING_SECURITY_REMEMBER_ME_COOKIE_KEY, TWO_WEEKS_S`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TokenBasedRememberMeServices()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onLoginSuccess(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, org.springframework.security.core.Authentication successfulAuthentication)` Deprecated.
    `protected org.springframework.security.core.userdetails.UserDetails` | `processAutoLoginCookie(String[] cookieTokens, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Deprecated.
    `void` | `setDigester(org.jasypt.digest.StringDigester digester)` Deprecated.

    - ### Methods inherited from class org.springframework.security.web.authentication.rememberme.AbstractRememberMeServices

      `afterPropertiesSet, autoLogin, cancelCookie, createSuccessfulAuthentication, decodeCookie, encodeCookie, extractRememberMeCookie, getAuthenticationDetailsSource, getCookieName, getKey, getParameter, getTokenValiditySeconds, getUserDetailsService, loginFail, loginSuccess, logout, onLoginFail, rememberMeRequested, setAlwaysRemember, setAuthenticationDetailsSource, setCookie, setCookieName, setKey, setParameter, setTokenValiditySeconds, setUserDetailsService, setUseSecureCookie`

    - ### Methods inherited from class Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TokenBasedRememberMeServices

          public TokenBasedRememberMeServices()

      Deprecated.

  - ### Method Detail

    - #### setDigester

          public void setDigester(org.jasypt.digest.StringDigester digester)

      Deprecated.

    - #### processAutoLoginCookie

          protected org.springframework.security.core.userdetails.UserDetails processAutoLoginCookie(String[] cookieTokens,
                                                                                                     javax.servlet.http.HttpServletRequest request,
                                                                                                     javax.servlet.http.HttpServletResponse response)

      Deprecated.
      Specified by:
        `processAutoLoginCookie` in class `org.springframework.security.web.authentication.rememberme.AbstractRememberMeServices`

    - #### onLoginSuccess

          public void onLoginSuccess(javax.servlet.http.HttpServletRequest request,
                                     javax.servlet.http.HttpServletResponse response,
                                     org.springframework.security.core.Authentication successfulAuthentication)

      Deprecated.
      Specified by:
        `onLoginSuccess` in class `org.springframework.security.web.authentication.rememberme.AbstractRememberMeServices`

Copyright © 2019 The JASYPT team. All rights reserved.